<p class="mat-body-1" *ngIf="errorReports$ | async">
  {{ errorReports$ | async }}
</p>

<mat-card *ngIf="(reports$ | async)?.length === 0" class="mat-elevation-z0">
  <mat-card-content>
    <p i18n>No user reports have been submitted.</p>
    <p i18n
      >To enable user reports, take a look at `showReportDialog` in the JS
      SDK.</p
    >
  </mat-card-content>
</mat-card>

<div class="reports">
  <ng-container *ngFor="let report of reports$ | async">
    <div class="report">
      <p class="name">{{ report.name }} ({{ report.email }})</p>
      <p class="date">{{ report.dateCreated | date : "medium" }}</p>
      <p>{{ report.comments }}</p>
    </div>
    <mat-divider></mat-divider>
  </ng-container>
</div>

<ng-container *ngIf="paginator$ | async as paginator">
  <div class="nav-arrows" *ngIf="paginator.loading === false">
    <a
      [routerLink]="[]"
      [queryParams]="paginator.previousPageParams || {}"
      queryParamsHandling="merge"
      mat-button
      [disabled]="paginator.hasPreviousPage === false"
    >
      <mat-icon>keyboard_arrow_left</mat-icon>
    </a>
    <a
      [routerLink]="[]"
      [queryParams]="paginator.nextPageParams || {}"
      queryParamsHandling="merge"
      mat-button
      [disabled]="paginator.hasNextPage === false"
    >
      <mat-icon>keyboard_arrow_right</mat-icon>
    </a>
  </div>
  <div *ngIf="paginator.loading" class="spinner-container">
    <mat-progress-spinner
      [diameter]="33"
      color="primary"
      mode="indeterminate"
    ></mat-progress-spinner>
  </div>
</ng-container>
